# Changelog

## 2025-04-26 - 6.3.0 - feat(core)
Release 6.2.0: Improved async iterator support, enhanced error handling and refined API interfaces for better type safety and consistent behavior.

- Bumped package version from 6.1.0 to 6.2.0
- Updated README with more precise information on async iterators and error handling
- Enhanced API request method to better parse response bodies and handle empty responses
- Refined async iterator usage in worker routes and zone listing
- Improved logging details for debugging API interactions
- Simplified and clarified method signatures and return types in documentation

## 2025-03-19 - 6.1.0 - feat(core)
Update dependencies, enhance documentation, and improve error handling with clearer API usage examples

- Bump dependency versions (@push.rocks/smartpromise, smartrequest, @tsclass/tsclass, cloudflare and devDependencies)
- Rewrite README with extended features, improved installation instructions, and comprehensive usage guides
- Refactor and add try/catch error handling in API request methods across core classes
- Enhance test suite with refined zone, DNS record, and worker management tests

## 2025-03-19 - 6.0.6 - fix(core)
Improve logging consistency, record update functionality, and API error handling in Cloudflare modules

- Replaced raw console.log calls with logger.log for unified logging across modules
- Implemented and documented the updateRecord method with proper parameters in CloudflareAccount
- Enhanced API request error handling and added detailed documentation in request methods
- Refactored CloudflareWorker and WorkerManager methods to improve clarity and maintainability
- Updated ZoneManager and CloudflareZone to improve error reporting and zone manipulation

## 2024-06-16 - 6.0.5 – no significant changes
_No significant changes in this release._

## 2024-06-16 - 6.0.4 – miscellaneous
Several improvements and fixes:
- fix(start supporting workers again): update
- update license info
- update readme
- switch to official cloudflare api client while keeping class based approach

## 2024-06-15 - 6.0.3 – core
- fix(core): update

## 2023-06-13 - 6.0.2 – core
- fix(core): update

## 2023-06-13 - 6.0.1 – core
- fix(core): update

## 2022-09-27 - 6.0.0 – core
- fix(core): update

## 2022-09-27 - 5.0.10 – core
- BREAKING CHANGE(core): switch to esm

## 2022-09-27 - 5.0.9 – core
- fix(core): update

## 2021-01-22 - 5.0.8 – core
- fix(core): update

## 2021-01-22 - 5.0.7 – core
- fix(core): update

## 2021-01-22 - 5.0.6 – core
- fix(core): update

## 2020-06-10 - 5.0.5 – core
- fix(core): update

## 2020-06-10 - 5.0.4 – core
- fix(core): update

## 2020-02-28 - 5.0.3 – core
- fix(core): update

## 2020-02-28 - 5.0.2 – core
- fix(core): update

## 2020-02-28 - 5.0.1 – core
- fix(core): update

## 2020-02-28 - 5.0.0 – core
- fix(core): update

## 2020-02-19 - 4.0.5 – account
- BREAKING CHANGE(account): authorization now uses the new Account API

## 2020-02-19 - 4.0.4 – core
- fix(core): update

## 2020-02-19 - 4.0.3 – core
- fix(core): update

## 2020-02-10 - 4.0.2 – core
- fix(core): update

## 2020-02-10 - 4.0.1 – core
- fix(core): update

## 2020-02-10 - 4.0.0 – core
- fix(core): update

## 2020-02-09 - 3.0.7 – API
- BREAKING CHANGE(API): move to .convenience property

## 2020-02-09 - 3.0.6 – core
- fix(core): update

## 2020-02-09 - 3.0.5 – core
- fix(core): update

## 2019-07-19 - 3.0.4 – core
- fix(core): update

## 2019-07-18 - 3.0.3 – core
- fix(core): update

## 2019-07-18 - 3.0.2 – core
- fix(core): update

## 2019-07-18 - 3.0.1 – core
- fix(core): update

## 2019-07-18 - 3.0.0 – core
- fix(core): update

## 2019-07-18 - 2.0.1 – core
- fix(core): update

## 2019-07-18 - 2.0.0 – core
- fix(core): update

## 2019-07-18 - 2.0.2 – no significant changes
_No significant changes in this release._

## 2018-08-13 - 1.0.5 – scope
- BREAKING CHANGE(scope): change scope, tools and package name

## 2017-06-11 - 1.0.4 – misc
- now using tsclass

## 2017-06-09 - 1.0.3 – misc
- update dependencies

## 2017-06-05 - 1.0.2 – misc
- now supports purging of assets
- improve test

## 2017-06-04 - 1.0.1 – misc
- add npmextra.json

## 2017-06-04 - 1.0.0 – misc
- add type TRecord, update ci

## 2017-06-04 - 0.0.20 – no significant changes
_No significant changes in this release._

## 2017-06-04 - 0.0.19 – misc
- go async/await
- update brand link

## 2017-02-12 - 0.0.18 – misc
- update README

## 2017-01-29 - 0.0.17 – misc
- update README

## 2017-01-29 - 0.0.16 – misc
- fix tests to run in parallel

## 2017-01-29 - 0.0.15 – misc
- fixed bad request retry

## 2017-01-29 - 0.0.14 – misc
- fix testing timeouts

## 2017-01-29 - 0.0.13 – misc
- added random retry times

## 2017-01-29 - 0.0.12 – misc
- update to new ci

## 2017-01-29 - 0.0.11 – misc
- now using smartrequest

## 2017-01-22 - 0.0.10 – misc
- now reacting to rate limiting

## 2016-07-31 - 0.0.9 – misc
- update dependencies

## 2016-06-22 - 0.0.8 to 0.0.7 – no significant changes
_No significant changes in these releases._

## 2016-06-22 - 0.0.6 – misc
- updated dependencies

## 2016-06-21 - 0.0.5 – misc
- fix stages

## 2016-06-21 - 0.0.4 – misc
- fix stages

## 2016-06-21 - 0.0.3 – misc
Multiple improvements:
- now works for most things
- update to latest dependencies
- update .gitlab.yml
- update
- add .gitlab-ci.yml

## 2016-05-25 - 0.0.2 – misc
Several changes:
- improve domain string handling
- update .getRecord
- improve .createRecord
- implemented .createRecord
- compile
- add functionality
- start with tests
- improved request method of cflare class

## 2016-04-27 - 0.0.1 – misc
- now returning promises
- add lossless badge

## 2016-04-27 - 0.0.0 – misc
- added travis and improved README

## 2016-04-10 - 0.0.0 – misc
- add package.json and README

## 2016-04-10 - unknown – misc
- Initial commit

---
_Note: Versions that only contained version bump commits or minor housekeeping (6.0.5; 2.0.2; 0.0.20; 0.0.8 to 0.0.7) have been omitted from detailed entries and are summarized above._