export interface ICloudflareApiAccountObject {
  id: string;
  name: string;
  type: 'standard' | 'enterprise' | 'pro' | 'free'; // Assuming other possible types
  settings: {
    enforce_twofactor: boolean;
    api_access_enabled: boolean | null;
    access_approval_expiry: string | null; // Assuming ISO date string or null
    use_account_custom_ns_by_default: boolean;
    default_nameservers: string;
  };
  legacy_flags: {
    enterprise_zone_quota: {
      maximum: number;
      current: number;
      available: number;
    };
  };
  created_on: string; // Assuming ISO date string
}